classification
Title: setup.py register fails if long_description contains ReST
Type: behavior Stage: committed/rejected
Components: Distutils, Distutils2 Versions: Python 3.4, Python 3.3, Python 3.2, Python 2.7, 3rd party
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: alexis, eric.araujo, malthe, petri.lehtinen, python-dev, tarek, techtonik
Priority: normal Keywords: easy

Created on 2011-12-16 21:00 by techtonik, last changed 2012-12-09 04:03 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
traceback.txt techtonik, 2011-12-16 21:00
Messages (9)
msg149636 - (view) Author: anatoly techtonik (techtonik) Date: 2011-12-16 21:00
It seems that invalid ReST in long_description causes traceback in distutils `register` command. See attached log.

More details:
https://bugs.launchpad.net/ubuntu/+source/python2.7/+bug/905500
msg149917 - (view) Author: anatoly techtonik (techtonik) Date: 2011-12-20 17:21
A good analysis of the issue is made by Jason Conti at Ubuntu bug report mentioned in the first commit.
msg149918 - (view) Author: anatoly techtonik (techtonik) Date: 2011-12-20 17:22
s/commit/comment/ sry.
msg156965 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-03-28 04:10
Thanks for the report.  The suggested fix on the Ubuntu report looks indeed good.  A test is needed to confirm it.  I’ll be leading a sprint in Montreal soon and will put this bug on the list.
msg160802 - (view) Author: Roundup Robot (python-dev) Date: 2012-05-16 05:07
New changeset 70c683338f9b by Julien Courteau in branch 'default':
fix: setup.py register fails if description has ReST uncompatible with Sphinx (#13614)
http://hg.python.org/distutils2/rev/70c683338f9b

New changeset 7daa144a7af0 by Pierre Paul in branch 'default':
#13614: Raises a TypeError now if the RST description is invalid
http://hg.python.org/distutils2/rev/7daa144a7af0

New changeset 0aa2406697aa by Mathieu Leduc-Hamel in branch 'default':
#13614: Merge changes from julien_courteau and PierrePaul regarding bad rst
http://hg.python.org/distutils2/rev/0aa2406697aa
msg173194 - (view) Author: Petri Lehtinen (petri.lehtinen) * (Python committer) Date: 2012-10-17 18:55
Can this be closed?
msg173195 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-10-17 18:58
The changesets you see are in distutils2, I haven’t had a chance to backport them yet.
msg177191 - (view) Author: Roundup Robot (python-dev) Date: 2012-12-09 03:46
New changeset 692be1f9fa1d by Éric Araujo in branch '2.7':
Fix setup.py register failure with invalid rst in description (#13614).
http://hg.python.org/cpython/rev/692be1f9fa1d
msg177193 - (view) Author: Roundup Robot (python-dev) Date: 2012-12-09 03:57
New changeset 99c80e8a721e by Éric Araujo in branch '3.2':
Fix setup.py register failure with invalid rst in description (#13614).
http://hg.python.org/cpython/rev/99c80e8a721e

New changeset 10ab746f55fb by Éric Araujo in branch '3.3':
Merge fixes for #13614, #13512 and #7719 from 3.2
http://hg.python.org/cpython/rev/10ab746f55fb

New changeset b10c1c6f869f by Éric Araujo in branch 'default':
Merge fixes for #13614, #13512 and #7719 from 3.3
http://hg.python.org/cpython/rev/b10c1c6f869f
History
Date User Action Args
2012-12-09 04:03:26eric.araujosetstatus: open -> closed
resolution: fixed
stage: commit review -> committed/rejected
2012-12-09 03:57:20python-devsetmessages: + msg177193
2012-12-09 03:46:05python-devsetmessages: + msg177191
2012-10-27 17:15:58eric.araujosetnosy: + malthe
2012-10-27 17:15:22eric.araujolinkissue15961 superseder
2012-10-17 18:58:21eric.araujosetstage: test needed -> commit review
messages: + msg173195
versions: + Python 3.4
2012-10-17 18:55:18petri.lehtinensetnosy: + petri.lehtinen
messages: + msg173194
2012-05-16 05:07:32python-devsetnosy: + python-dev
messages: + msg160802
2012-03-28 04:10:19eric.araujosetmessages: + msg156965
2011-12-30 21:42:18eric.araujosetassignee: tarek -> eric.araujo
title: `setup.py register` fails if long_description contains RST -> setup.py register fails if long_description contains ReST
components: + Distutils2

keywords: + easy
nosy: + alexis
versions: + 3rd party, Python 3.2, Python 3.3
type: behavior
stage: test needed
2011-12-20 17:22:42techtoniksetmessages: + msg149918
2011-12-20 17:21:51techtoniksetmessages: + msg149917
title: `setup.py register` fails with traceback -> `setup.py register` fails if long_description contains RST
2011-12-16 21:00:47techtonikcreate